<div class="accounts" *ngIf="accounts?.length">
  <h2>Minu kontod</h2>
  <form #f="ngForm" (ngSubmit)="pay(f.value)">
    <ul class="account">
        <li *ngFor="let a of accounts">
          <label for="{{ a.iban }}">
            <input
              type="radio"
              id="{{ a.iban }}"
              name="account"
              [value]=a.iban
              [ngModel]="account"
            >
            <span>{{ a.iban }}</span><span *ngIf='a.name'> - </span><b>{{ a.name }}</b>
          </label>
        </li>
    </ul>
    <button type="submit" [disabled]="f.value.account === ''">Maksma</button>
  </form>
  <div>{{ paymentResponse }}</div>
</div>
